tests: add test for converting levels to raid0 and back.

Now that I have this mostly working, I should make sure
it doesn't break...

Signed-off-by: NeilBrown <neilb@suse.de>
This commit is contained in:
NeilBrown 2013-06-24 15:57:58 +10:00
parent 9ccfd3be30
commit 35698c6e91
2 changed files with 26 additions and 0 deletions

4
test
View File

@ -138,6 +138,10 @@ check() {
grep -s "active $1 " /proc/mdstat > /dev/null || {
echo >&2 "ERROR active $1 not found" ; cat /proc/mdstat ; exit 1;}
;;
algorithm )
grep -s " algorithm $2 " /proc/mdstat > /dev/null || {
echo >&2 "ERROR algorithm $2 not found"; cat /proc/mdstat; exit 1;}
;;
resync | recovery | reshape)
sleep 0.5
grep -s $1 /proc/mdstat > /dev/null || {

22
tests/05r6tor0 Normal file
View File

@ -0,0 +1,22 @@
set -x -e
# reshape a RAID6 to RAID5 and then RAID0.
# then reshape back up to RAID5 and RAID5
mdadm -CR $md0 -l6 -n5 $dev0 $dev1 $dev2 $dev3 $dev4
check wait
check raid6
mdadm -G $md0 -l5
check wait
check raid5
mdadm -G $md0 -l0
check wait
check raid0
mdadm -G $md0 -l5 --add $dev3 $dev4
check wait
check raid5
check algorithm 2
mdadm -G $md0 -l 6
check wait
check raid6
check algorithm 2